<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <p>{{ num }}</p>
		<button @click="contador(5, $event)">+5</button> 
		<hr>
		<p @mousemove="mouseCheckFocus">
            Mouse: {{ eixoX }} e {{ eixoY }}
            <span v-on:mousemove="stoped">PARAR AQUI!!</span> <!-- Propagação do evento pai para o filho -->
        </p>
        <hr>
		<p @mousemove="mouseCheckFocus1">
            Mouse: {{ eixoX1 }} e {{ eixoY1 }} <!-- |----- Modificador de eventos -->
            <span v-on:mousemove.stop>PARAR AQUI com o modificador de evento!!</span> <!-- Propagação do evento pai para o filho -->
            <hr>
            <span v-on:mousemove.stop.prevent>PARAR AQUI com o modificador de evento!! e o encadeamento</span>
        </p>
        <hr>
        <a v-on:click.prevent href="http://google.com" target="_blank" rel="noopener noreferrer">Google</a>
        <br><br>
        <hr>
        <br><br>
        <label for="">Com o evento keyup e keydown: </label>
        <input type="text" v-on:keydown="enterMethodDown" v-on:keyup="enterMethodUp">
        <hr>
        <br><br>
        <label for="">Com o modificador de evento acionando 'enter' no teclado: </label>
        <input type="text" v-on:keyup.enter="alertUser">
        <hr>
        <br><br>
        <label for="">Com o modificador de evento acionando 'enter' no teclado e a tecla alt, encadeando-os: </label>
        <input type="text" v-on:keyup.enter.alt="alertUser">
    </div>

    <script src="https://unpkg.com/vue@next"></script> <!-- vue@3 -->
    <script src="index.js"></script>
</body>
</html>
